#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
%define		archlinux	%{_arch}-linux-thread-multi
#-----------------------------------------------------------------------------
Name		:	perl-XML-SAX
Version		:	1.02
Release		:	16.2.0.rel%{?dist}
Summary		:	SAX parser access API for Perl

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/XML::SAX::ParserFactory

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	perl
BuildRequires	:	perl(XML::NamespaceSupport) 
BuildRequires	:	perl(XML::SAX::Base)
BuildRequires	:	perl(XML::SAX::Exception)
BuildRequires	:	perl(File::Path)
BuildRequires	:	perl(Exporter)
BuildRequires	:	perl(File::Temp)
BuildRequires	:	perl(IO::File)
BuildRequires	:	perl(overload)
BuildRequires	:	perl(strict)
BuildRequires	:	perl(Symbol)
BuildRequires	:	perl(vars)
BuildRequires	:	perl(warnings)

# Remove bogus XML::SAX::PurePerl* dependencies and unversioned provides
%global		__requires_exclude	^perl\\(XML::SAX::PurePerl
%global		__provides_exclude	^perl\\(XML::SAX::PurePerl\\)$
 
Requires	:	perl
Requires	:       perl(LWP::UserAgent)

BuildArch	:      noarch

 
#-----------------------------------------------------------------------------
%description
XML::SAX consists of several framework classes for using and building
Perl SAX2 XML parsers, filters, and drivers. It is designed around the
need to be able to "plug in" different SAX parsers to an application
without requiring programmer intervention. Those of you familiar with
the DBI will be right at home. Some of the designs come from the Java
JAXP specification (SAX part), only without the javaness.

#-----------------------------------------------------------------------------
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\
	NO_PACKLIST=1

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	pure_install						\
	DESTDIR=%{buildroot}

%{_fixperms} %{buildroot}

#touch								\
#	%{buildroot}%{_datadir}/perl5/core_perl/XML/SAX/ParserDetails.ini

# Fixup permissions for shared libraries from non-standard 555 to standard 755:
#find								\
#	%{buildroot}%{_libdir}				 	\
#	-name \*.so						\
#	-type f -exec chmod u+w,+x {} \;

find %{buildroot} -type f -name '.packlist' -exec rm -f {} ';'
find %{buildroot} -type f -name '*.pod' -exec rm -f {} ';'

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc README
%{_datadir}/perl5/core_perl/XML/SAX.pm
#{_datadir}/perl5/core_perl/XML/SAX/Intro.pod
#{_datadir}/perl5/core_perl/XML/SAX/ParserDetails.ini
%{_datadir}/perl5/core_perl/XML/SAX/*.pm
%{_datadir}/perl5/core_perl/XML/SAX/PurePerl/*.pm
%{_datadir}/perl5/core_perl/XML/SAX/PurePerl/Reader/*.pm
%{_mandir}/man3/*.3.gz


#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


#-----------------------------------------------------------------------------
%changelog
